IM_RAW2VIPS(3)

NAME
im_raw2vips - wrap a raw binary file inside an IMAGE descriptor

SYNOPSIS
#include <vips/vips.h> int
im_raw2vips( const char *filename, IMAGE *out,
    int width, int height, int bpp, int offset )

DESCRIPTION
im_raw2vips(3) mmaps the file named, setting image out so that access to that image will read from the file. The parameters specify the image width, height, bytes per pixel and offset in bytes from the start of the file. Use functions like im_copy_morph(3) to set the pixel type, byte ordering and so on.

RETURN VALUE
The functions return NULL on error.

SEE ALSO
im_copy_morph(3), im_copy_swap(3).

COPYRIGHT
Imperial College, 2005